#!/bin/sh

echo "BIXOLON Co., Ltd."
echo "BIXOLON PRINTER MAC DRIVER V1.3.7.1 Installer"
echo "---------------------------------------"
echo ""
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying rastertoBixolon_v1.3.7.1 filter..."

 sudo chmod +x rastertoBixolon_v1.3.7.1
 sudo cp ./rastertoBixolon_v1.3.7.1 /usr/libexec/cups/filter/
 sudo chmod 0755 /usr/libexec/cups/filter/rastertoBixolon_v1.3.7.1
 sudo ln -s /usr/libexec/cups/filter/rastertoBixolon_v1.3.7.1 /usr/libexec/cups/filter/rastertoBixolon
echo ""

echo "Copying model ppd files... "
   sudo cp -r ../Bixolon /usr/share/cups/model/ 
   sudo chmod 0755 /usr/share/cups/model/Bixolon/*
   # not suported MAC after 10.7
   sudo rm -f /usr/share/cups/model/Bixolon/SRP350_v*
   sudo rm -f /usr/share/cups/model/Bixolon/SRP370_v*
echo ""

echo "Restarting CUPS"
    sudo launchctl unload /System/Library/LaunchDaemons/org.cups.cupsd.plist
    sudo launchctl load /System/Library/LaunchDaemons/org.cups.cupsd.plist
    echo ""

echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

